<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Cannot cache a view result as such, as it contains a Closure, which is
// not serializable.

$this->get('/tasks', function () {
    $tasks = \App\Task::all();
    return view('welcome', compact('tasks'))->__toString();
})->middleware('cache');

$this->get('/tasks/first', function () {
    $tasks = [\App\Task::first()];
    return view('welcome', compact('tasks'))->__toString();
})->middleware('cache');

